MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Data Structures | Functions

# src/refcount.h File Reference

A very simple reference counting library. More...

`#include <glib.h>`

Go to the source code of this file.

## Data Structures
struct | refcount
## Functions
static void | refcount_init (struct refcount *r)
static void | refcount_inc (struct refcount *r)
static bool | refcount_dec (struct refcount *r)

## Detailed Description

A very simple reference counting library.

Definition in file refcount.h.

## Function Documentation

static bool refcount_dec | ( | struct refcount * | r | ) | `[inline, static]`

Returns:
  true if the number of references has been dropped to 0

Definition at line 61 of file refcount.h.

static void refcount_inc | ( | struct refcount * | r | ) | `[inline, static]`

Definition at line 52 of file refcount.h.

static void refcount_init | ( | struct refcount * | r | ) | `[inline, static]`

Definition at line 46 of file refcount.h.